org.apache.olingo.server.api.serializer

## Class BatchSerializerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.commons.api.ex.ODataException
      - - org.apache.olingo.server.api.ODataLibraryException
        - - org.apache.olingo.server.api.serializer.SerializerException
          - - org.apache.olingo.server.api.serializer.BatchSerializerException

- All Implemented Interfaces:
    Serializable

      public class BatchSerializerException
      extends SerializerException

  Thrown for invalid batch payloads.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BatchSerializerException.MessageKeys`

    - ### Nested classes/interfaces inherited from class org.apache.olingo.server.api.ODataLibraryException

      `ODataLibraryException.MessageKey, ODataLibraryException.ODataErrorMessage`

  - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.server.api.ODataLibraryException

      `DEFAULT_SERVER_BUNDLE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchSerializerException(String developmentMessage, ODataLibraryException.MessageKey messageKey, String... parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getBundleName()` Gets the name of the `ResourceBundle` containing the exception texts.

    - ### Methods inherited from class org.apache.olingo.server.api.ODataLibraryException

      `getLocalizedMessage, getMessageKey, getTranslatedMessage, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchSerializerException

          public BatchSerializerException(String developmentMessage,
                                          ODataLibraryException.MessageKey messageKey,
                                          String... parameters)

  - ### Method Detail

    - #### getBundleName

          protected String getBundleName()

      Description copied from class: `ODataLibraryException`

      Gets the name of the `ResourceBundle` containing the exception texts.

      The key for an exception text is the concatenation of the exception-class name and the `ODataLibraryException.MessageKey`, separated by a dot.

      Overrides:
        `getBundleName` in class `SerializerException`
      Returns:
        the name of the resource bundle

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.